```
Mirrored from: https://blogs.vmware.com/vsphere/2017/01/getting-started-vsphere-integrated-containers-engine.html
Author: Matt Williamson
Posted: January 10, 2017
```

vSphere Integrated Containers Engine (VIC Engine) is an [open source project hosted on
GitHub](https://vmware.github.io/vic) and
being developed, primarily, by VMware.  It is designed to make it easy for  vSphere customers to
start running container workloads, in production, while maintaining their existing VM-based policies
and tools. A key feature is that developers in your organization can continue to use the existing
container commands they know and love.

The VIC Engine is one component of the [vSphere Integrated Containers 1.0
release](http://www.vmware.com/go/vsphereintegratedcontainers) – the others
are Harbor and Admiral.  Customers who purchase a vSphere Enterprise Plus or higher license are
entitled to VMware support for the entire vSphere Integrated Containers bundle. Links to the product
page, software downloads and user documentation for all three components can also be found on the
[product page on Github](https://vmware.github.io/vic-product/).

For a more detailed introduction to deploying VIC Engine on your vSphere infrastructure, you can
read the [overview in the VIC Engine GitHub repository](https://vmware.github.io/vic-product/assets/files/html/0.8/vic_installation/introduction.html),  Another great source of information is [Ben
Corrie’s blog](http://bensdoings.com/), including his article talking about the [benefits of VIC Engine](http://bensdoings.com/2016/11/10/how-is-vice-differerent/), and this video on [how
to deploy the VIC Engine and start running containers](https://youtu.be/kebTIHCod7s).

Keep an eye out here for more blog posts from the VIC Engineering team. They will cover, among other
things, more detailed deployment scenarios, how to take advantage of the VIC engine networking,
security features, interaction with the other VIC Product components, examples on setting it with
different storage configurations and help with debugging any issues that might arise. To follow the
VIC engine development you can go directly to the [source code on
Github](https://github.com/vmware/vic).  And [download vSphere
Integrated Containers today](http://www.vmware.com/go/download-vic)!
