# Creating Containerized Applications with vSphere Integrated Containers Engine #

The topics in this section provides guidelines for container developers who want to use vSphere Integrated Containers Engine to develop and deploy a containerized application.

vSphere Integrated Containers is designed to help you get the best out of your vSphere infrastucture by adding a container consumption model to it. That means that you can consume vSphere networks, storage and compute in a way that's familiar, autonomous, scriptable,  opinionated and portable. There are significant benefits to this approach and also limits to what you can do.

This section will help you to understand the considerations, benefits and limits to putting containers into production with vSphere Integrated Containers Engine. It includes plenty of examples of common deployment scenarios, including using [Docker Compose](https://docs.docker.com/compose/).

- [How to get the best out of vSphere Integrated Containers when putting containerized applications into production](putting_apps_into_production.md)
<!-- - [How vSphere Integrated Containers engine fits into a Continuous Integration Pipeline](vic_in_build_pipeline.md) -->
- [Example of deploying a single container VM into production with vSphere Integrated Containers engine](deploy_single_containervm.md)

- [Example of deploying multiple container VMs into production using Docker Compose](deploy_multiple_docker_compose.md)
<!-- - [Example of deploying mutiple Linux containers inside container VMs](deploy_multiple_dinv.md) -->
<!-- - [Example of deploying a hybrid approach between container VMs and Linux containers](deploy_hybrid_containervm_dinv.md) -->
