# DevOps Administrator and Developer Tasks #

As a developer, you can perform the following tasks in vSphere Integrated Containers Management Portal:

- Add networks to containers. For more information, see [Creating New Networks](../vic_users/create_network.md).
- Add volumes to containers. For more information, see [Creating New Volumes](../vic_users/create_volumes.md).
- Provision containers. For more information, see [Provisioning Container VMs](../vic_users/provision_containers_portal.md).
- Create templates and provision containers from templates. For more information, see [Creating Templates](../vic_users/creating_templates.md).
- Create application templates and deploy applications. For more information, see [Creating Applications](../vic_users/creating_applications.md).
- View the repositories and virtual container hosts for your project. For more information, see [Viewing Library and Logs](../vic_users/view_library_and_logs.md).

As a Devops Administrator, in addition to developer tasks, you can perform the following tasks in vSphere Integrated Containers Management Portal:

- Add developers and viewers to projects and assign other DevOps administrators. For more information, see [Add Viewers, Developers, or DevOps Administrators to Projects](../vic_cloud_admin/add_users.html).
- Change project configurations, such as making the project registry public, changing deployment security settings, and enabling vulnerability scanning. For more information, see [Configure Project Settings](../vic_cloud_admin/manage_projects.html).

For information about the tasks that the Management Portal Administator can perform such as, creating projects and adding hosts, see [vSphere Integrated Containers Management Portal Administration](../vic_cloud_admin/README.md).

## What to Do Next ##

Start [Working with Projects](../vic_users/working_with_projects_vicui.md).