# vSphere Admins

<!-- USE THIS SUMMARY FILE FOR PDF GENERATION ONLY -->

* [vSphere Administrator](README.md)
 * [Deployment Prerequisites](vic_installation_prereqs.md)
     * [Virtual Infrastructure Requirements](vi_reqs.md)
     * [Networking Requirements](network_reqs.md)
     * [Certificate Requirements](vic_cert_use.md)
         * [Appliance Certificate Requirements](appliance_cert_reqs.md) 
         * [VCH Certificate Requirements](vch_cert_reqs.md)
         * [Obtain vSphere Thumbprints](obtain_thumbprint.md) 
     * [Interoperability](interop.md)
 * [Installation](installing_vic.md)
     * [Download Installer](download_vic.md) 
     * [Deploy the Appliance](deploy_vic_appliance.md)
         * [Deploy the Appliance Using VMware OVF Tool](deploy_vic_appliance_ovftool.md)
         * [Appliance Registration API](ova_reg_api.md) 
     * [Download Engine Bundle](vic_engine_bundle.md)
 * [VCH Deployment](deploy_vch.md)
     * [Using vic-machine](using_vicmachine.md)
         * [Set Environment Variables](vic_env_variables.md)
     * [Open the Required Ports on ESXi Hosts](open_ports_on_hosts.md)
     * [Create the Operations User](create_ops_user.md)
         * [Manually Create Operations User](ops_user_manual.md)
     * [Deploy VCHs in vSphere Client](deploy_vch_client.md)
     * [VCH Deployment Options](vch_deployment_options.md)
         * [General Settings](vch_general_settings.md)
         * [Compute Capacity](vch_compute.md)
         * [Storage Capacity](vch_storage.md)
             * [Image Datastore](image_store.md)
             * [Volume Datastores](volume_stores.md)
         * [Networks](vch_networking.md)
             * [Bridge Networks](bridge_network.md)
             * [Public Network](public_network.md)
             * [Client Network](client_network.md)
             * [Management Network](mgmt_network.md)
             * [Proxy Servers](vch_proxy.md)
             * [Container Networks](container_networks.md)
         * [Security](vch_security.md)
             * [VCH Certificate Options](vch_cert_options.md)
             * [Disable Client Verification](tls_unrestricted.md)
         * [Registry Access](vch_registry.md) 
         * [Operations User](set_up_ops_user.md)
         * [Finish VCH Deployment](complete_vch_deployment_client.md)
     * [Deploy a Test VCH](deploy_test_vch.md)
         * [ESXi Host with No vCenter Server](deploy_vch_esxi.md)
         * [VCH with Volume Store and Registry](deploy_vch_dchphoton.md)
     * [VCH Boot Options](vch_boot_options.md)
     * [VCH Sizing Guidelines](vch_sizing_guidelines.md)
  * [VCH Administration](vch_admin.md)
     * [VCH Admin in the vSphere Client](vch_admin_client.md)
         * [View VIC Information](access_h5_ui.md)
         * [View VCH and Container Information](vch_portlet_ui.md)
     * [VCH Admin with vic-machine](vch_admin_vicmachine.md)
         * [Obtain Version Information](vic_machine_version.md)
         * [Common Options](common_vic_options.md)
         * [List VCHs](list_vch.md)
         * [Obtain General VCH Information](inspect_vch.md)
         * [Obtain VCH Configuration Information](inspect_vch_config.md)
         * [Configure Running VCHs](configure_vch.md)
         * [Debug Running VCHs](debug_vch.md)
             * [Enable Shell Access](vch_shell_access.md)
             * [Authorize SSH Access](vch_ssh_access.md) 
     * [Delete VCHs](remove_vch.md)
     * [VCH Admin Portal](access_vicadmin.md)
         * [Browser-Based Certificate Login](browser_login.md)
         * [Command Line Certificate Login](cmdline_login.md)
         * [VCH Admin Status Reference](vicadmin_status_ref.md) 
  * [Upgrading](upgrading_vic.md)
     * [Pre-Upgrade Tasks](pre_upgrade_tasks.md)
     * [Upgrade the Appliance](upgrade_appliance.md)
         * [Copy Disks Manually](upgrade_appliance_manual.md)
     * [Upgrade VCHs](upgrade_vch.md)
         * [VCH Upgrade Options](upgrade_vch_options.md)
  * [Backup and Restore](backup_vic.md)
     * [Appliance](backup_vic_appliance.md)
     * [VCHs](backup_vch.md)
     * [Container Volumes](backup_volumes.md)
         * [Backing Up VMDK Volumes](backup_vmdk.md)
         * [Restoring VMDK Volumes](restore_vmdk.md)
  * [Manage the Appliance](manage_appliance.md)
     * [Reconfigure the Appliance](reconfigure_appliance.md)
     * [Obtain Appliance Certificates](obtain_appliance_certs.md)
     * [Change Appliance TLS Certificates](change_appliance_TLS_certs.md)
     * [Reinitialize the Appliance](reinitialize_appliance.md)
         * [Re-Tag the Appliance](retag_appliance.md)
     * [Update PSC Registration](manual_register_psc.md)
     * [Check Service Status](service_status.md)
     * [Restart Services](restart_services.md)
     * [Recover Appliance Password](ts_recover_password.md) 
     * [Uninstall](uninstall_vic.md)
  * [Troubleshooting](troubleshoot_vic.md) 
     * [Access Logs](access_logs.md)
         * [Access and Configure Appliance Logs](appliance_logs.md)
         * [Access VCH Logs](log_bundles.md)
     * [Appliance Deployment](ts_deploy_appliance.md)
         * [Appliance Boot Errors](ts_appliance_boot_errors.md)
         * [Appliance OVF Error](ts_ovf_error.md)
         * [Registry Services Do Not Start](ts_reg_doesnt_start.md)
         * [Appliance VM Password Refused](ts_appliance_password_refused.md)
         * [Browser Rejects Certificates](ts_cert_error.md)
         * [Registration with PSC Fails](ts_psc_registration_error.md)
         * [Appliance Initialization Errors](ts_appliance_initialization_errors.md)
         * [Access to Management Portal Fails](ts_admiral_access_error.md)
         * [Appliance Running Errors](ts_appliance_running_errors.md)
         * [Appliance Welcome Page Error](vicappliance_welcomepage_error.md)
     * [Plug-In Does Not Appear](ts_ui_not_appearing.md)
     * [VCH Deployment](ts_deploy_vch.md)
         * [Firewall Validation Error](ts_firewall_error.md)
         * [VCH Deployment Times Out](ts_vch_deployment_timeout.md)
         * [Certificate Verification Error](ts_thumbprint_error.md)
         * [Missing Common Name Error Even When TLS Options Are Specified Correctly](ts_cli_argument_error.md)
         * [Certificate cname Mismatch](ts_cname_mismatch.md)
         * [Docker API Endpoint Check Failed Error](ts_docker_api_check_error.md)
         * [No Single Host Can Access All Datastores](ts_datastore_access_error.md)
         * [VCH Does Not Initialize Correctly](ts_vch_incorrect_initialization.md)
     * [Post-Deployment Operation](ts_post_deployment_op.md)
         * [Certificate and PSC Token Errors](ts_clock_skew.md)
         * [Some Users Cannot Access Services](ts_no_access_to_vic_services.md)
         * [Default Volume Store Error](ts_volume_store_error.md)
         * [Deleting or Inspecting a VCH Fails](ts_delete_inspect_error.md)
         * [Docker Login Fails](ts_dockerlogin_error.md)
         * [Image Store Error](ts_imagestore_error.md)
         * [Deployment of Container that supports DHCP Network Fails](ts_dhcpip_error.md)
     * [Install Packages in VCHs](vch_install_packages.md)
         * [Mount an NFS Share Point](vch_mount_nfsshare.md)
     * [Troubleshoot Upgrade Operation](ts_upgrade_op.md)
         * [Certificates Not Copied](ts_upgrade_customcerts.md)
         * [Container VMs Orphaned](ts_orphaned_cvms.md)
  * [Security Reference](security_reference.md)
  * [`vic-machine` Options Reference](vicmachine_options_ref.md)