# Download the vSphere Integrated Containers Installer #

You can download different versions of vSphere Integrated Containers, that have different levels of stability and support.

## Official Releases ##

To obtain the latest official release of vSphere Integrated Containers, go to the [official vSphere Integrated Containers downloads page on vmware.com](http://www.vmware.com/go/download-vic) and download the OVA installer. The OVA installer allows you to deploy all of the vSphere Integrated Containers components.

vSphere Integrated Containers depends on certain features that are available in the vSphere Enterprise Plus or vSphere Remote Office Branch Office (ROBO) Advanced licenses. To make a support request, contact [VMware Global Support](https://www.vmware.com/support/product-support-centers.html). 

## Open Source Builds of vSphere Integrated Containers ##

You can obtain open source builds of vSphere Integrated Containers Engine, vSphere Integrated Containers Portal, and vSphere Integrated Containers Registry, that have different levels of stability.

 * Download built binaries of the individual components. Builds usually happen after every successful merge into the source code. These builds have been minimally tested for integration.  You need a Google account to access these builds.  
   * [vSphere Integrated Containers OVA installer](https://console.cloud.google.com/storage/browser/vic-product-ova-builds)
   * [vSphere Integrated Containers Engine ](https://console.cloud.google.com/storage/browser/vic-engine-builds/) 
   * [vSphere Integrated Containers UI ](https://console.cloud.google.com/storage/browser/vic-ui-builds/)
 * Download tagged open source software (OSS) versions of the vSphere Integrated Containers components that have been tested and released to the open source community, but that might not reflect the most up-to-date version of the code: 
   * [vSphere Integrated Containers Engine](https://github.com/vmware/vic/releases)
   * [vSphere Integrated Containers Registry](https://github.com/vmware/harbor/releases)
   * [vSphere Integrated Containers Portal](https://github.com/vmware/admiral/releases)   
 * Build the latest source version of the vSphere Integrated Containers components:
   * [vSphere Integrated Containers Engine](https://github.com/vmware/vic/blob/master/README.md#building)
   * [vSphere Integrated Containers Registry](https://github.com/vmware/harbor/blob/master/README.md)
   * [vSphere Integrated Containers Portal](https://github.com/vmware/admiral/blob/master/README.md)

**IMPORTANT**: Open source builds are not supported by VMware Global Support. 

- You can obtain community support for open source builds by [reporting bugs and creating issues on Github](https://github.com/vmware/vic-product#contributing-to-vsphere-integrated-containers). 
- For general questions, visit the [vSphere Integrated Containers channel on Slack.com](https://vmwarecode.slack.com/messages/vic-product). If you do not have an @vmware.com or @emc.com email address, sign up at https://code.vmware.com/home to get an invitation.


## What to Do Next

[Deploy the vSphere Integrated Containers Appliance](deploy_vic_appliance.md)